# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

%define with()          %{expand:%%{?with_%{1}:1}%%{!?with_%{1}:0}}
%define without()       %{expand:%%{?with_%{1}:0}%%{!?with_%{1}:1}}
%define bcond_with()    %{expand:%%{?_with_%{1}:%%global with_%{1} 1}}
%define bcond_without() %{expand:%%{!?_without_%{1}:%%global with_%{1} 1}}

Name:           jersey
Version:        1.1.5.1
Release:        1%{?dist}
Epoch:          0
Summary:        JAX-RS Reference Implementation
License:        GPL 2.0, CDDL
Group:          Development/Java
URL:            http://jersey.java.net/
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch:      noarch
Source0:        jersey-1.1.5.1.tgz
# svn export https://svn.java.net/svn/jersey~svn/tags/jersey-1.1.5.1
# tar czf ../SOURCES/jersey-1.1.5.1.tgz jersey-1.1.5.1/

Source1:        %{name}-settings.xml
Source2:        %{name}-jpp-depmap.xml

Patch0:         jersey-pom.patch
Patch1:         jersey-no-wagon-svn.patch
Patch2:         jersey-server-pom.patch
Patch3:         jersey-contribs-pom.patch
Patch4:         jersey-json-pom.patch
Patch5:         jersey-json-JacksonRootStrippingGenerator.patch
Patch6:         jersey-json-JacksonRootAddingParser.patch
Patch7:         jersey-json-JacksonArrayWrapperGenerator.patch
Patch8:         jersey-json-JacksonStringMergingGenerator.patch
Patch9:         jersey-samples-atompub-contacts-server-pom.patch
Patch10:        jersey-samples-pom.patch
Patch11:        jersey-bundle-pom.patch
Patch12:        jersey-archive-pom.patch
Patch13:        jersey-documentation-pom.patch
Patch14:        jersey-ri-pom.patch

BuildRequires:  java-devel >= 0:1.6.0
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  ant >= 0:1.7.1
BuildRequires:  maven2 >= 0:2.0.8
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-assembly
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-war
BuildRequires:  mojo-maven2-plugin-build-helper
BuildRequires:  mojo-maven2-plugin-buildnumber
BuildRequires:  mojo-parent
BuildRequires:  geronimo-genesis
BuildRequires:  istack-commons-maven-plugin
BuildRequires:  jetty6-annotations
BuildRequires:  jetty6-jsp-2.1
BuildRequires:  jetty6-maven2-plugins
BuildRequires:  junit4
BuildRequires:  docbook-xsl
BuildRequires:  geronimo-genesis2
BuildRequires:  hc-httpclient
BuildRequires:  hc-project
BuildRequires:  jaxb-maven2-plugin
BuildRequires:  jflex-maven-plugin
BuildRequires:  oss-parent
BuildRequires:  saxon
BuildRequires:  saxon-scripts
BuildRequires:  testng
BuildRequires:  tomcat5-jasper
BuildRequires:  xmlgraphics-fop

BuildRequires:  annotation_1_0_api
BuildRequires:  aopalliance
BuildRequires:  apache-abdera-extensions
BuildRequires:  apache-abdera-parser
BuildRequires:  apache-abdera-server
BuildRequires:  apache-commons-collections
BuildRequires:  apache-commons-dbcp
BuildRequires:  apache-commons-httpclient
BuildRequires:  apache-commons-logging
BuildRequires:  aspectj
BuildRequires:  cglib
BuildRequires:  google-guice
BuildRequires:  grizzly >= 0:1.9
BuildRequires:  hibernate3-entitymanager
BuildRequires:  hsqldb
BuildRequires:  jackson
BuildRequires:  javamail_1_4_api
BuildRequires:  jcdi_1_0_api
BuildRequires:  jdom
BuildRequires:  jettison
BuildRequires:  jpa_1_0_api
BuildRequires:  jsp_2_0_api
BuildRequires:  jsr311-1.1.1-api
BuildRequires:  jta_1_0_1B_api
BuildRequires:  objectweb-asm
BuildRequires:  ops4j-pax-exam
BuildRequires:  org.osgi.core
BuildRequires:  rome
#BuildRequires:  scala
BuildRequires:  servlet_2_5_api
BuildRequires:  servlet_3_0_api
BuildRequires:  simple
BuildRequires:  slf4j
BuildRequires:  spring2-all
BuildRequires:  sun-fi
BuildRequires:  sun-jaxb-2.1-api
BuildRequires:  sun-jaxb-2.1-impl
BuildRequires:  sun-mimepull
BuildRequires:  wstx
BuildRequires:  xerces-j2

Requires:  java-devel >= 0:1.6.0
Requires:  ant >= 0:1.7.1
Requires:  aopalliance
Requires:  apache-abdera-extensions
Requires:  apache-abdera-parser
Requires:  apache-commons-httpclient
Requires:  apache-commons-logging
Requires:  annotation_1_0_api
Requires:  aspectj
Requires:  cglib
Requires:  ejb_3_0_api
Requires:  gmaven-runtime-1.5
Requires:  google-guice
Requires:  grizzly >= 0:1.9
Requires:  groovy15
Requires:  jackson
Requires:  javamail_1_4_api
Requires:  jcdi_1_0_api
Requires:  jdom
Requires:  jettison
Requires:  jpa_1_0_api
Requires:  jsp_2_0_api
Requires:  jsr311-1.1.1-api
Requires:  jta_1_0_1B_api
Requires:  objectweb-asm
Requires:  org.osgi.core
Requires:  rome
#Requires:  scala
Requires:  servlet_2_5_api
Requires:  servlet_3_0_api
Requires:  simple
Requires:  sun-fi
Requires:  sun-jaxb-2.1-api
Requires:  sun-jaxb-2.1-impl
Requires:  wstx

%description
Jersey is the open source, production quality, JAX-RS (JSR
311) Reference Implementation for building RESTful Web 
services. But, it is also more than the Reference 
Implementation. Jersey provides an API so that developers 
may extend Jersey to suit their needs. 

%package devel
Summary:        Source and Javadoc archives for %{name}
Group:          Development/Libraries

%description devel
%{summary}.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Documentation

%description javadoc
%{summary}.

%prep
%setup -q 
%patch0 -b .sav0
%patch1 -b .sav1
%patch2 -b .sav2
%patch3 -b .sav3
%patch4 -b .sav4
%patch5 -b .sav5
%patch6 -b .sav6
%patch7 -b .sav7
%patch8 -b .sav8
%patch9 -b .sav9
%patch10 -b .sav10
%patch11 -b .sav11
%patch12 -b .sav12
%patch13 -b .sav13
%patch14 -b .sav14

cp -p %{SOURCE1} settings.xml
sed -i -e "s|<url>__JPP_URL_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__JAVADIR_PLACEHOLDER__</url>|<url>file://`pwd`/external_repo</url>|g" settings.xml
sed -i -e "s|<url>__MAVENREPO_DIR_PLACEHOLDER__</url>|<url>file://`pwd`/.m2/repository</url>|g" settings.xml
sed -i -e "s|<url>__MAVENDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/maven2/plugins</url>|g" settings.xml
sed -i -e "s|<url>__ECLIPSEDIR_PLUGIN_PLACEHOLDER__</url>|<url>file:///usr/share/eclipse/plugins</url>|g" settings.xml

%build
export CLASSPATH=
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p ${MAVEN_REPO_LOCAL}/JPP
ln -sf $(build-classpath jsr311-1.0-api-javadoc) ${MAVEN_REPO_LOCAL}/JPP/jsr311_api-javadoc.jar
export MAVEN_OPTS="-Xmx768m -XX:MaxPermSize=128m -Dsun.net.client.defaultConnectTimeout=1000"
export MAVEN_SETTINGS=$(pwd)/settings.xml
cd jersey
%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dmaven.test.skip=true \
        -Dspring25-release-version=2.5.6.SEC01 \
        install 
#       -Dmaven.test.failure.ignore=true \

%{_bindir}/mvn-jpp \
        -e \
        -s ${MAVEN_SETTINGS} \
        -Dmaven2.jpp.depmap.file=%{SOURCE2} \
        -Dmaven.repo.local=${MAVEN_REPO_LOCAL} \
        -Dspring25-release-version=2.5.6.SEC01 \
        javadoc:aggregate

%install
rm -rf $RPM_BUILD_ROOT

# jars, poms and depmap frags
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/sources
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_datadir}/maven2/poms

install -m 644 jersey/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-project.pom
%add_to_maven_depmap com.sun.jersey jersey-project %{version} JPP/%{name} project

install -m 644 jersey/archetypes/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-archetypes.pom
%add_to_maven_depmap com.sun.jersey.archetypes jersey-archetypes %{version} JPP/%{name} archetypes


install -m 644 jersey/archetypes/jersey-quickstart-ejb/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-quickstart-ejb.pom
%add_to_maven_depmap com.sun.jersey.archetypes jersey-quickstart-ejb %{version} JPP/%{name} quickstart-ejb
install -m 644 jersey/archetypes/jersey-quickstart-ejb/target/jersey-quickstart-ejb-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/quickstart-ejb-%{version}.jar

install -m 644 jersey/archetypes/jersey-quickstart-grizzly/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-quickstart-grizzly.pom
%add_to_maven_depmap com.sun.jersey.archetypes jersey-quickstart-grizzly %{version} JPP/%{name} quickstart-grizzly
install -m 644 jersey/archetypes/jersey-quickstart-grizzly/target/jersey-quickstart-grizzly-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/quickstart-grizzly-%{version}.jar

install -m 644 jersey/archetypes/jersey-quickstart-webapp/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-quickstart-webapp.pom
%add_to_maven_depmap com.sun.jersey.archetypes jersey-quickstart-webapp %{version} JPP/%{name} quickstart-webapp
install -m 644 jersey/archetypes/jersey-quickstart-webapp/target/jersey-quickstart-webapp-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/quickstart-webapp-%{version}.jar

install -m 644 jersey/contribs/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-contribs.pom
%add_to_maven_depmap com.sun.jersey.contribs jersey-contribs %{version} JPP/%{name} contribs

install -m 644 jersey/contribs/spring/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-spring.pom
%add_to_maven_depmap com.sun.jersey.contribs jersey-spring %{version} JPP/%{name} spring
install -m 644 jersey/contribs/spring/target/jersey-spring-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/spring-%{version}.jar
install -m 644 jersey/contribs/spring/target/jersey-spring-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc/spring-javadoc-%{version}.jar
install -m 644 jersey/contribs/spring/target/jersey-spring-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/spring-sources-%{version}.jar

install -m 644 jersey/contribs/jersey-apache-client/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-apache-client.pom
%add_to_maven_depmap com.sun.jersey.contribs jersey-apache-client %{version} JPP/%{name} apache-client
install -m 644 jersey/contribs/jersey-apache-client/target/jersey-apache-client-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/apache-client-%{version}.jar
install -m 644 jersey/contribs/jersey-apache-client/target/jersey-apache-client-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc/apache-client-javadoc-%{version}.jar
install -m 644 jersey/contribs/jersey-apache-client/target/jersey-apache-client-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/apache-client-sources-%{version}.jar

install -m 644 jersey/contribs/jersey-atom-abdera/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-atom-abdera.pom
%add_to_maven_depmap com.sun.jersey.contribs jersey-atom-abdera %{version} JPP/%{name} atom-abdera
install -m 644 jersey/contribs/jersey-atom-abdera/target/jersey-atom-abdera-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/atom-abdera-%{version}.jar
install -m 644 jersey/contribs/jersey-atom-abdera/target/jersey-atom-abdera-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc/atom-abdera-javadoc-%{version}.jar
install -m 644 jersey/contribs/jersey-atom-abdera/target/jersey-atom-abdera-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/atom-abdera-sources-%{version}.jar

install -m 644 jersey/contribs/jersey-guice/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-guice.pom
%add_to_maven_depmap com.sun.jersey.contribs jersey-guice %{version} JPP/%{name} guice
install -m 644 jersey/contribs/jersey-guice/target/jersey-guice-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/guice-%{version}.jar
install -m 644 jersey/contribs/jersey-guice/target/jersey-guice-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc/guice-javadoc-%{version}.jar
install -m 644 jersey/contribs/jersey-guice/target/jersey-guice-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/guice-sources-%{version}.jar

install -m 644 jersey/contribs/jersey-multipart/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-multipart.pom
%add_to_maven_depmap com.sun.jersey.contribs jersey-multipart %{version} JPP/%{name} multipart
install -m 644 jersey/contribs/jersey-multipart/target/jersey-multipart-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/multipart-%{version}.jar
install -m 644 jersey/contribs/jersey-multipart/target/jersey-multipart-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc/multipart-javadoc-%{version}.jar
install -m 644 jersey/contribs/jersey-multipart/target/jersey-multipart-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/multipart-sources-%{version}.jar

install -m 644 jersey/contribs/jersey-oauth/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-oauth.pom
%add_to_maven_depmap com.sun.jersey.contribs.jersey-oauth jersey-oauth %{version} JPP/%{name} oauth

install -m 644 jersey/contribs/jersey-oauth/oauth-client/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-oauth-client.pom
%add_to_maven_depmap com.sun.jersey.contribs.jersey-oauth oauth-client %{version} JPP/%{name} oauth-client
install -m 644 jersey/contribs/jersey-oauth/oauth-client/target/oauth-client-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/oauth-client-%{version}.jar
install -m 644 jersey/contribs/jersey-oauth/oauth-client/target/oauth-client-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc/oauth-client-javadoc-%{version}.jar
install -m 644 jersey/contribs/jersey-oauth/oauth-client/target/oauth-client-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/oauth-client-sources-%{version}.jar

install -m 644 jersey/contribs/jersey-oauth/oauth-server/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-oauth-server.pom
%add_to_maven_depmap com.sun.jersey.contribs.jersey-oauth oauth-server %{version} JPP/%{name} oauth-server
install -m 644 jersey/contribs/jersey-oauth/oauth-server/target/oauth-server-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/oauth-server-%{version}.jar
install -m 644 jersey/contribs/jersey-oauth/oauth-server/target/oauth-server-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc/oauth-server-javadoc-%{version}.jar
install -m 644 jersey/contribs/jersey-oauth/oauth-server/target/oauth-server-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/oauth-server-sources-%{version}.jar

install -m 644 jersey/contribs/jersey-oauth/oauth-signature/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-oauth-signature.pom
%add_to_maven_depmap com.sun.jersey.contribs.jersey-oauth oauth-signature %{version} JPP/%{name} oauth-signature
install -m 644 jersey/contribs/jersey-oauth/oauth-signature/target/oauth-signature-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/oauth-signature-%{version}.jar
install -m 644 jersey/contribs/jersey-oauth/oauth-signature/target/oauth-signature-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc/oauth-signature-javadoc-%{version}.jar
install -m 644 jersey/contribs/jersey-oauth/oauth-signature/target/oauth-signature-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/oauth-signature-sources-%{version}.jar

install -m 644 jersey/contribs/jersey-oauth/oauth-tests/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-oauth-tests.pom
%add_to_maven_depmap com.sun.jersey.contribs.jersey-oauth oauth-tests %{version} JPP/%{name} oauth-tests
install -m 644 jersey/contribs/jersey-oauth/oauth-tests/target/oauth-tests-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/oauth-tests-%{version}.jar
#install -m 644 jersey/contribs/jersey-oauth/oauth-tests/target/oauth-tests-%{version}-sources.jar \
#               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/oauth-tests-sources-%{version}.jar

install -m 644 jersey/contribs/jersey-simple-server/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-oauth-tests.pom
%add_to_maven_depmap com.sun.jersey.contribs jersey-simple-server %{version} JPP/%{name} simple-server
install -m 644 jersey/contribs/jersey-simple-server/target/jersey-simple-server-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/simple-server-%{version}.jar
install -m 644 jersey/contribs/jersey-simple-server/target/jersey-simple-server-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc/simple-server-javadoc-%{version}.jar
install -m 644 jersey/contribs/jersey-simple-server/target/jersey-simple-server-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/simple-server-sources-%{version}.jar

install -m 644 jersey/contribs/maven-wadl-plugin/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-maven-wadl-plugin.pom
%add_to_maven_depmap com.sun.jersey.contribs maven-wadl-plugin %{version} JPP/%{name} maven-wadl-plugin
install -m 644 jersey/contribs/maven-wadl-plugin/target/maven-wadl-plugin-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/maven-wadl-plugin-%{version}.jar
install -m 644 jersey/contribs/maven-wadl-plugin/target/maven-wadl-plugin-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/maven-wadl-plugin-sources-%{version}.jar

install -m 644 jersey/contribs/wadl-resourcedoc-doclet/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-wadl-resourcedoc-doclet.pom
%add_to_maven_depmap com.sun.jersey.contribs wadl-resourcedoc-doclet %{version} JPP/%{name} wadl-resourcedoc-doclet
install -m 644 jersey/contribs/wadl-resourcedoc-doclet/target/wadl-resourcedoc-doclet-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/wadl-resourcedoc-doclet-%{version}.jar
install -m 644 jersey/contribs/wadl-resourcedoc-doclet/target/wadl-resourcedoc-doclet-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/wadl-resourcedoc-doclet-sources-%{version}.jar

install -m 644 jersey/jersey-atom/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-atom.pom
%add_to_maven_depmap com.sun.jersey jersey-atom %{version} JPP/%{name} atom
install -m 644 jersey/jersey-atom/target/jersey-atom-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/atom-%{version}.jar
install -m 644 jersey/jersey-atom/target/jersey-atom-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/atom-sources-%{version}.jar

install -m 644 jersey/jersey-bundle/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-bundle.pom
%add_to_maven_depmap com.sun.jersey jersey-bundle %{version} JPP/%{name} bundle
install -m 644 jersey/jersey-bundle/target/jersey-bundle-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/bundle-%{version}.jar
install -m 644 jersey/jersey-bundle/target/jersey-bundle-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/bundle-javadoc-%{version}.jar
install -m 644 jersey/jersey-bundle/target/jersey-bundle-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/bundle-sources-%{version}.jar

install -m 644 jersey/jersey-client/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-client.pom
%add_to_maven_depmap com.sun.jersey jersey-client %{version} JPP/%{name} client
install -m 644 jersey/jersey-client/target/jersey-client-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/client-%{version}.jar
install -m 644 jersey/jersey-client/target/jersey-client-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/client-javadoc-%{version}.jar
install -m 644 jersey/jersey-client/target/jersey-client-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/client-sources-%{version}.jar

install -m 644 jersey/jersey-core/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-core.pom
%add_to_maven_depmap com.sun.jersey jersey-core %{version} JPP/%{name} core
install -m 644 jersey/jersey-core/target/jersey-core-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/core-%{version}.jar
install -m 644 jersey/jersey-core/target/jersey-core-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/core-javadoc-%{version}.jar
install -m 644 jersey/jersey-core/target/jersey-core-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/core-sources-%{version}.jar

install -m 644 jersey/jersey-fastinfoset/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-fastinfoset.pom
%add_to_maven_depmap com.sun.jersey jersey-fastinfoset %{version} JPP/%{name} fastinfoset
install -m 644 jersey/jersey-fastinfoset/target/jersey-fastinfoset-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/fastinfoset-%{version}.jar
install -m 644 jersey/jersey-fastinfoset/target/jersey-fastinfoset-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/fastinfoset-sources-%{version}.jar

install -m 644 jersey/jersey-json/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-json.pom
%add_to_maven_depmap com.sun.jersey jersey-json %{version} JPP/%{name} json
install -m 644 jersey/jersey-json/target/jersey-json-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/json-%{version}.jar
install -m 644 jersey/jersey-json/target/jersey-json-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/json-javadoc-%{version}.jar
install -m 644 jersey/jersey-json/target/jersey-json-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/json-sources-%{version}.jar

install -m 644 jersey/jersey-server/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-server.pom
%add_to_maven_depmap com.sun.jersey jersey-server %{version} JPP/%{name} server
install -m 644 jersey/jersey-server/target/jersey-server-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/server-%{version}.jar
install -m 644 jersey/jersey-server/target/jersey-server-%{version}-javadoc.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/server-javadoc-%{version}.jar
install -m 644 jersey/jersey-server/target/jersey-server-%{version}-sources.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/server-sources-%{version}.jar

install -m 644 jersey/jersey-tests/pom.xml \
    $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP.%{name}-tests.pom
%add_to_maven_depmap com.sun.jersey jersey-tests %{version} JPP/%{name} tests
install -m 644 jersey/jersey-tests/target/jersey-tests-%{version}.jar \
               $RPM_BUILD_ROOT%{_javadir}/%{name}/tests-%{version}.jar
#install -m 644 jersey/jersey-tests/target/jersey-tests-%{version}-sources.jar \
#               $RPM_BUILD_ROOT%{_javadir}/%{name}/sources/tests-sources-%{version}.jar
#BUILD/jersey-1.1.5.1/jersey/legal/maintenance/lib/license-tool-1.0-SNAPSHOT.jar
#BUILD/jersey-1.1.5.1/jersey/ri/jax-rs-ri/target/assembly/jersey-core-1.1.5.1.jar
#BUILD/jersey-1.1.5.1/jersey/ri/jax-rs-ri/target/assembly/jersey-server-1.1.5.1.jar


(cd $RPM_BUILD_ROOT%{_javadir}/%{name}
for jar in *-%{version}*.jar; do ln -sf ${jar} `echo ${jar} | sed "s|-%{version}||g"`;done)

(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/javadoc
for jar in *-%{version}*.jar; do ln -sf ${jar} `echo ${jar} | sed "s|-%{version}||g"`;done)

(cd $RPM_BUILD_ROOT%{_javadir}/%{name}/sources
for jar in *-%{version}*.jar; do ln -sf ${jar} `echo ${jar} | sed "s|-%{version}||g"`;done)
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/asm-3.3.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/contribs/jersey-apache-client-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/contribs/jersey-atom-abdera-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/contribs/jersey-guice-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/contribs/jersey-multipart-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/contribs/jersey-simple-server-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/contribs/oauth-client-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/contribs/oauth-server-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/contribs/oauth-signature-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/jackson-core-asl-1.4.2.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/jersey-atom-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/jersey-client-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/jersey-core-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/jersey-fastinfoset-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/jersey-json-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/jersey-server-1.1.5.1.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/jettison-1.2.jar
# BUILD/jersey-1.1.5.1/jersey/archive/target/assembly/jsr311-api-1.0.jar

# javadoc
mkdir -p $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr jersey/target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name}

# manual
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 jersey/jersey-documentation/target/docbook/user-guide.html $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
install -m 644 jersey/jersey-documentation/target/docbook/user-guide.pdf $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}
%{_javadir}/%{name}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%{_docdir}/%{name}-%{version}

%files devel
%defattr(0644,root,root,0755)
%dir %{_javadir}/%{name}/sources
%{_javadir}/%{name}/sources/*.jar
%dir %{_javadir}/%{name}/javadoc
%{_javadir}/%{name}/javadoc/*.jar

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Thu Oct 06 2011 Ralph Apel <r.apel@r-apel.de> 0:1.1.5.1-1
- first release

